Subject: Re: Bus Error on MPC8313

From: Scott Wood <[email-masked]>
Date: Fri, 13 Nov 2009 13:33:33 -0600

Ron Madrid wrote:
> I wrote a custom driver for an MPC8313 based board.  Everything seems to
> have been working for a long time, but now one of my IOCTL functions seems
> to be having a problem.  I'm getting a "Bus error" reported by my
> application and also a kernel "Oops".  Here's what the kernel is reporting. 
> 
> Oops: Machine check, sig: 7 [#1]

Were there any messages before this?  Is there anything interesting in 
the arbiter registers?

Is this custom driver using the localbus, and are there any NAND 
operations going on at the same time?

-Scott